Download it now!
Bug 135367 - Java options radio buttons misplaced with kf5 and gen backends
Summary: Java options radio buttons misplaced with kf5 and gen backends
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: x86-64 (AMD64) Linux (All)
: medium minor
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.1.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Options-Dialog
  Show dependency treegraph
 
Reported: 2020-08-01 17:24 UTC by Buovjaga
Modified: 2020-08-05 15:15 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (28.72 KB, image/png)
2020-08-01 17:24 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Buovjaga 2020-08-01 17:24:05 UTC
Created attachment 163847 [details]
Screenshot

Tools - Options - LibreOffice - Advanced

See screenshot. Gtk3 is fine, Windows likewise.

Seems pretty new as this is not yet seen with the latest commit of Linux 7.1 repo:
commit 9765a6009faca8d7dc1bcfec531cf9b9b50608ed (HEAD -> master, origin/master, origin/HEAD)
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Thu Jul 30 10:14:37 2020 +0200

    source sha:231e1e416c039d1f9724962a89cf0573a3db48a2
    
    source sha:231e1e416c039d1f9724962a89cf0573a3db48a2

Arch Linux 64-bit
Version: 7.1.0.0.alpha0+
Build ID: 869ef9f2118158222032964a5b24ae7d760b84e9
CPU threads: 8; OS: Linux 5.7; UI render: default; VCL: kf5
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Built on 31 July 2020
Comment 1 Xisco Faulí 2020-08-04 12:53:39 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=714b2b617e9baef02510c482c6fd028e6e72acd8

author	Caolán McNamara <caolanm@redhat.com>	2020-06-30 15:03:31 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2020-06-30 20:53:38 +0200
commit	714b2b617e9baef02510c482c6fd028e6e72acd8 (patch)
tree	4473d35fd6e1b6538767e28ef1616383cc3c7d46
parent	907b60b37f089e952ae2e80499c7b168296469a4 (diff)
tdf#134270 rearrange so we know the final treeview width

Bisected with: bibisect-linux64-7.1

Adding Cc: to Caolán McNamara
Comment 2 Commit Notification 2020-08-05 10:39:37 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d32dfe40f18904bbd30f497d0a2f546d58d6041b

tdf#135367 enable_toggle_buttons sets SvTreeFlags::CHKBTN

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Buovjaga 2020-08-05 15:15:23 UTC
Verified, thanks!

Arch Linux 64-bit
Version: 7.1.0.0.alpha0+
Build ID: 76c40b82e6a44539cd43f326c00246e759449571
CPU threads: 8; OS: Linux 5.7; UI render: default; VCL: kf5
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Built on 5 August 2020